# Class `juce.Rectangle_int`

An integer (pixel-aligned) rectangle.

Is converted to a JUCE Rectangle

## Constructors

juce.Rectangle_int (x, y, w, h) | Constuctor with classical arguments.
juce.Rectangle_int (args) | Constuctor with named arguments.

## Methods

juce.Rectangle_int:toFloat () | To float.
juce.Rectangle_int:contains (point) | Contains.
juce.Rectangle_int:getR () | Get right.
juce.Rectangle_int:getB () | Get bottom.

## Fields

juce.Rectangle_int.x | Left position
juce.Rectangle_int.y | Top position
juce.Rectangle_int.w | Width
juce.Rectangle_int.h | Height

## Constructors

juce.Rectangle_int (x, y, w, h)
  Constuctor with classical arguments.

  ### Parameters:

  - x left position
  - y top position
  - w width
  - h height
juce.Rectangle_int (args)
  Constuctor with named arguments. Every field is optional.

  ### Parameters:

  - args
    - x left position
    - y top position
    - w width
    - h height

## Methods

juce.Rectangle_int:toFloat ()
  To float. Convert to a sub-pixel rectangle

  ### Returns:

  juce.Rectangle_float
juce.Rectangle_int:contains (point)
  Contains.

  ### Parameters:

  - point juce.Point

  ### Returns:

  boolean whether the rectangle contains the point
juce.Rectangle_int:getR ()
  Get right.

  ### Returns:

  the rectangle's right position on the X axis
juce.Rectangle_int:getB ()
  Get bottom.

  ### Returns:

  the rectangle's bottom position on the Y axis

## Fields

juce.Rectangle_int.x
  Left position
juce.Rectangle_int.y
  Top position
juce.Rectangle_int.w
  Width
juce.Rectangle_int.h
  Height

generated by LDoc 1.4.2